/*
 * Licensed under MIT license
 * https://opensource.org/licenses/mit-license.php
 */

jQuery.noConflict()(function($){

	"use strict";

/* ===============================================
   Featured posts
   =============================================== */

	function vagamondo_featured_posts_fix() {

		setTimeout(function() {
			if ( $(window).width() > 992 ) {
				var sliderHeight = $('.featured-posts-col-2').innerHeight();
				$('.featured-posts-wrapper').css({'height': sliderHeight});
			} else {
				$('.featured-posts-wrapper').css({'height': '300px'});
			}
		}, 100);

	}
	
	$(window).resize(vagamondo_featured_posts_fix);
	$(document).ready(vagamondo_featured_posts_fix);

/* ===============================================
   Scroll sidebar
   =============================================== */

	$(window).load(function() {

		$("#menu-wrapper .mobile-navigation").click(function() {
			
			$('#overlay-body').fadeIn(600).addClass('visible');
			$('body').addClass('overlay-active').addClass('no-scrolling');
			$('#wrapper').addClass('open-sidebar');

			$('#sidebar-wrapper').css({
			  display: "block"
			});

			$('#scroll-sidebar').animate({
			  left: "0px"
			}, 400);

		    setTimeout(function(){
				$('#scroll-sidebar a.mobile-navigation').focus();
    		}, 100);

		});

		if ( $(window).width() < 992 ) {

			$("#overlay-body").swipe({

				swipeLeft:function() {

					$('#overlay-body').fadeOut(600);
					$('body').removeClass('overlay-active').removeClass('no-scrolling');
					$('#wrapper').removeClass('open-sidebar');
					
					$('#scroll-sidebar').animate({
					  left: "-300px"
					}, 200);
	
					setTimeout(function(){
						$('#sidebar-wrapper').css({
						  display: "none"
						});
					}, 200);
				},
				
				threshold : 10

			});

			$("#sidebar-wrapper .mobile-navigation").click(function() {
				
				$('#overlay-body').fadeOut(600);
				$('body').removeClass('overlay-active').removeClass('no-scrolling');
				$('#wrapper').removeClass('open-sidebar');

				$('#scroll-sidebar').animate({
				  left: "-300px"
				}, 200);

				setTimeout(function(){
					$('#sidebar-wrapper').css({
					  display: "none"
					});
				}, 200);

			});

		} else if ( $(window).width() > 992 ) {

			$("#sidebar-wrapper .mobile-navigation, #overlay-body").click(function() {
				$('#overlay-body').fadeOut(600);
				$('body').removeClass('overlay-active').removeClass('no-scrolling');
				$('#wrapper').removeClass('open-sidebar');
				
				$('#scroll-sidebar').animate({
				  left: "-300px"
				}, 200);

				setTimeout(function(){
					$('#sidebar-wrapper').css({
					  display: "none"
					});
				}, 200);

			});

		}

	});

});