<?php

/**
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('vagamondo_featured_posts_loop_function')) {

	function vagamondo_featured_posts_loop_function($offset = null) {

?>
		
		<div class="featured-posts-wrapper">
                
			<?php
    
				$args = array(
					'post_type' => 'post',
					'posts_per_page' => 2,
					'orderby' => 'date',
					'order'	 => 'DESC',
					'ignore_sticky_posts' => true
				);
								
				if ($offset !== null) :

					$args['offset'] = intval($offset);
				
				endif;
				
				$query = new WP_Query($args); 
    
				if ($query->have_posts()) : while ( $query->have_posts() ) : $query->the_post(); 
                
					global $post;

					$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'vagamondo_post_thumbnail');

					$featuredPostsStyle = (isset($thumb[0])) ? 'style="background-image: url(' . esc_url($thumb[0]) . ')"' : '';
        
			?>
        
                    <div class="featured-post featured-post-<?php echo $query->current_post?>" <?php echo $featuredPostsStyle;?> >
                                        
                        <a title="<?php echo esc_attr(get_the_title());?>" class="featured-post-permalink" href="<?php echo esc_url(get_permalink($post->ID)); ?>" ></a>
                        <h2 class="title"><?php echo esc_html(get_the_title()); ?></h2>
                        
                    </div>
                    
			<?php
        
				endwhile; 
				endif;
				wp_reset_postdata();
        
			?>
        
        
			<div class="clear"></div>
        
		</div>      
                          
        
<?php 
	
	}

	add_action( 'vagamondo_featured_posts_loop', 'vagamondo_featured_posts_loop_function', 10, 1 );

}

?>