<?php

/**
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('vagamondo_slick_slider_function')) {

	function vagamondo_slick_slider_function() {
		
		$args = array(
			'post_type' => 'post',
			'offset' => 2,
			'posts_per_page' => 3,
			'orderby' => 'date',
			'order' => 'DESC',
			
		);

		$query = new WP_Query($args); 
		
		if ( $query->have_posts() ) :  
                                
?>

        <div class="post-container slick-slideshow" data-columns="1">

            <div class="slider slick-slides">

			<?php
        
                if ( $query->have_posts() ) : while ( $query->have_posts() ) : $query->the_post(); 
        
                    global $post;
					
					$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'vagamondo_slick_large');
                    $thumbnailIMG = (!empty($thumb)) ? $thumb[0] : get_stylesheet_directory_uri()."/assets/images/placeholder-577x385.jpg";
					$thumbnailALT = (get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true )) ? get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true ) : get_the_title() ;

			?>
			
					<div style="margin-bottom: -5px;">
				   
						<div class="slick-article">

							<img src="<?php echo esc_url($thumbnailIMG); ?>" alt="<?php echo esc_attr($thumbnailALT); ?>">
							
							<div class="slider-overlay">

							    <div class="slider-overlay-wrapper">
                                
							    	<a title="<?php echo esc_attr(get_the_title());?>" class="slider-overlay-permalink" href="<?php echo esc_url(get_permalink($post->ID)); ?>" ></a>
							    	
							    	<h2 class="title">
							            
							    		<?php echo get_the_title(); ?>
							            
							    	</h2>
							    
							    </div>
							    
							</div>
                            
						</div>
						
					</div>
			
			<?php

				endwhile; 
				endif;
				wp_reset_postdata();

			?>

            </div>
            
        </div>

<?php

        endif;
	
	}

	add_action( 'vagamondo_slick_slider', 'vagamondo_slick_slider_function', 10);

}

?>